unit dbtree_u;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DBCtrls, StdCtrls, Buttons, dbtree_l, Grids, DBGrids, ComCtrls, dbtree,
  ExtCtrls, DB, DBTables, Menus, Mask;

type
  TForm1 = class(TForm)
    T1: TTable;
    DS1: TDataSource;
    Panel1: TPanel;
    Panel2: TPanel;
    DBTreeView1: TDBTreeView;
    Panel3: TPanel;
    DBMemo1: TDBMemo;
    DBGrid1: TDBGrid;
    Label1: TLabel;
    Label2: TLabel;
    DBLookUpTreeView1: TDBLookUpTreeView;
    DS2: TDataSource;
    T2: TTable;
    BitBtn1: TBitBtn;
    DBNavigator1: TDBNavigator;
    CheckBox1: TCheckBox;
    Label3: TLabel;
    DBEdit1: TDBEdit;
    Button1: TButton;
    ImageList1: TImageList;
    procedure CheckBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure DBTreeView1AddNewItem(Sender: TObject;
      var DBTreeNode: TDBTreeNode);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses About;

{$R *.DFM}

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if(CheckBox1.Checked) then
    DBTreeView1.DragMode := dmAutomatic
  else DBTreeView1.DragMode := dmManual;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  fmAboutBox.ShowModal;
end;

procedure TForm1.DBTreeView1AddNewItem(Sender: TObject;
  var DBTreeNode: TDBTreeNode);
begin
  if(DBTreeNode.ParentFieldValue < 4) then
    DBTreeNode.TreeNode.ImageIndex := DBTreeNode.ParentFieldValue - 1
  else DBTreeNode.TreeNode.ImageIndex := 4;
end;

end.
